/* * C o p y r i g h t *(also read COPYING)* * * * * * * * * * * * * * * * * * *
 *                                                                             *
 *  Copyright (C) 2002  <Philip Van Hoof>                                      *
 *                                                                             *
 *  This program is free software; you can redistribute it and/or modify       *
 *  it under the terms of the GNU General Public License as published by       *
 *  the Free Software Foundation; either version 2 of the License, or          *
 *  (at your option) any later version.                                        *
 *                                                                             *
 *  This program is distributed in the hope that it will be useful,            *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of             *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the              *
 *  GNU General Public License for more details.                               *
 *                                                                             *
 *  You should have received a copy of the GNU General Public License          *
 *  along with this program; if not, write to the Free Software                *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA  *
 *                                                                             *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

#include "aboutwin.h"
static void aboutwin_class_init(AboutWinClass *klass);
static void aboutwin_init(AboutWin *awin);
static void aboutwin_destroy(GtkObject *object);


static GtkWindowClass *parent_class = NULL;

GtkType aboutwin_get_type(void)
{
   static GtkType aboutwin_type = 0;
   
   if (!aboutwin_type)
   {
      static const GtkTypeInfo aboutwin_info =
      {	
         "AboutWin",
         sizeof (AboutWin),
         sizeof (AboutWinClass),
         (GtkClassInitFunc) aboutwin_class_init,
         (GtkObjectInitFunc) aboutwin_init,
         NULL,
         NULL,
         (GtkClassInitFunc) NULL,
      };
      
      aboutwin_type = gtk_type_unique (GTK_TYPE_WINDOW, &aboutwin_info);
   }

   return (aboutwin_type);
}

static void aboutwin_class_init(AboutWinClass *klass)
{
   GtkObjectClass *object_class;
   object_class = (GtkObjectClass*)klass;
   object_class->destroy = aboutwin_destroy;
   parent_class = gtk_type_class(GTK_TYPE_WINDOW);
}

static void aboutwin_init(AboutWin *awin)
{

}



/* Creates a new aboutwin */
/* FIXME: invalid cast to aboutwin */
GtkWidget* aboutwin_new (GtkWidget *windowparent) {
  AboutWin *awin;
  GtkWidget *thewin;
  gchar *comment;
  const gchar *authors[] = {
	"Developpers :",
	"Philip Van Hoof <freax@pandora.be>",
	"Jonas Heylen <jonas.heylen@pandora.be>",
	"Dmitry Koval <koval@korris.com.ua>",
	"",
	"Documentation :",
	"Jamaal Sanford <jamaal@sanfordonline.org>",
	"Steele <mazeltov@magma.ca>",
	"",
	"Translations :",
	"Philip Van Hoof <freax@pandora.be>",
	"Dmitry Koval <koval@korris.com.ua>",
	"Daniel Ketel <kage-chan@users.sf.net>",
    NULL
  };
  
  comment = g_strdup (_("This program is responsible for managing "
                        "your textselections (a.k.a. clipboards)."));

  awin = gtk_type_new(GNOME_TYPE_ABOUTWIN);
  gtk_container_set_border_width(GTK_CONTAINER(awin), 5);
  gtk_signal_connect(GTK_OBJECT(awin), "show", GTK_SIGNAL_FUNC(aboutwin_show), awin);
  gtk_signal_connect(GTK_OBJECT(awin), "hide", GTK_SIGNAL_FUNC(aboutwin_hide), awin);
  awin->windowparent = windowparent;

  thewin = gnome_about_new ("GNOME Clipboard Manager", VERSION,
                        _("Copyright (C) 2002-2003"), authors, comment, NULL);
  awin = (AboutWin*) thewin;
  gtk_object_set_data (GTK_OBJECT (awin), "aboutwin", awin);
  gtk_window_set_wmclass (GTK_WINDOW (awin), "aboutwin", "gcm");
  return GTK_WIDGET(awin);
}

static void aboutwin_destroy(GtkObject *object)
{
   GtkWidget *awin;
  
   g_return_if_fail(object != NULL);
   g_return_if_fail(GNOME_IS_ABOUTWIN(object));
   
   awin = GTK_WIDGET(object);
      
   gtk_widget_destroy(awin);
}

void aboutwin_show(GtkWidget *widget, AboutWin *awin)
{
}

void aboutwin_hide(GtkWidget *widget, AboutWin *awin)
{
	gtk_widget_destroy(GTK_WIDGET(awin));
}

