/* * C o p y r i g h t *(also read COPYING)* * * * * * * * * * * * * * * * * * *
 *                                                                             *
 *  Copyright (C) 2002  <Philip Van Hoof>                                      *
 *                                                                             *
 *  This program is free software; you can redistribute it and/or modify       *
 *  it under the terms of the GNU General Public License as published by       *
 *  the Free Software Foundation; either version 2 of the License, or          *
 *  (at your option) any later version.                                        *
 *                                                                             *
 *  This program is distributed in the hope that it will be useful,            *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of             *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the              *
 *  GNU General Public License for more details.                               *
 *                                                                             *
 *  You should have received a copy of the GNU General Public License          *
 *  along with this program; if not, write to the Free Software                *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA  *
 *                                                                             *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

#include "dataitemwin.h"

static void dataitemwin_class_init(DataItemWinClass *klass);
static void dataitemwin_init(DataItemWin *dwin);
static void dataitemwin_destroy(GtkObject *object);

static GtkWindowClass *parent_class = NULL;

GtkType dataitemwin_get_type(void)
{
   static GtkType dataitemwin_type = 0;

   if (!dataitemwin_type)
   {
      static const GtkTypeInfo dataitemwin_info =
      {	
         "DataItemWin",
         sizeof (DataItemWin),
         sizeof (DataItemWinClass),
         (GtkClassInitFunc) dataitemwin_class_init,
         (GtkObjectInitFunc) dataitemwin_init,
         NULL,
         NULL,
         (GtkClassInitFunc) NULL,
      };
      
      dataitemwin_type = gtk_type_unique (GTK_TYPE_WINDOW, &dataitemwin_info);
   }

   return (dataitemwin_type);
}

static void dataitemwin_class_init(DataItemWinClass *klass)
{
   GtkObjectClass *object_class;
   object_class = (GtkObjectClass*)klass;
   object_class->destroy = dataitemwin_destroy;
   parent_class = gtk_type_class(GTK_TYPE_WINDOW);

}

static void dataitemwin_init(DataItemWin *dwin)
{

}


static void dataitemwin_destroy(GtkObject *object)
{
   GtkWidget *dwin;
  
   g_return_if_fail(object != NULL);
   g_return_if_fail(GNOME_IS_DATAITEMWIN(object));
   
   dwin = GTK_WIDGET(object);
      
   gtk_widget_destroy(dwin);
}



/* Creates a new dataitemwin */
GtkWidget* dataitemwin_new (GtkWidget *windowparent) {
  DataItemWin *dwin;

  dwin = gtk_type_new(GNOME_TYPE_DATAITEMWIN);
  gtk_container_set_border_width(GTK_CONTAINER(dwin), 5);
  gtk_signal_connect(GTK_OBJECT(dwin), "show", GTK_SIGNAL_FUNC(dataitemwin_show), dwin);
  gtk_signal_connect(GTK_OBJECT(dwin), "hide", GTK_SIGNAL_FUNC(dataitemwin_hide), dwin);
  dwin->windowparent = windowparent;
  dwin->label7 = gtk_label_new (_("I cannot operate \non this  data "));
  gtk_widget_set_name (dwin->label7, "label7");
  gtk_widget_ref (dwin->label7);
  gtk_object_set_data_full (GTK_OBJECT (dwin), "label7", dwin->label7,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (dwin->label7);
  gtk_container_add (GTK_CONTAINER (dwin), dwin->label7);
  gtk_window_set_wmclass (GTK_WINDOW (dwin), "dataitemwin", "gcm");
  return GTK_WIDGET(dwin);
}


void dataitemwin_show(GtkWidget *widget, DataItemWin *dwin)
{
}

void dataitemwin_hide(GtkWidget *widget, DataItemWin *dwin)
{
	gtk_widget_destroy(GTK_WIDGET(dwin));
}

