/* * C o p y r i g h t *(also read COPYING)* * * * * * * * * * * * * * * * * * *
 *                                                                             *
 *  Copyright (C) 2002  <Philip Van Hoof>                                      *
 *                                                                             *
 *  This program is free software; you can redistribute it and/or modify       *
 *  it under the terms of the GNU General Public License as published by       *
 *  the Free Software Foundation; either version 2 of the License, or          *
 *  (at your option) any later version.                                        *
 *                                                                             *
 *  This program is distributed in the hope that it will be useful,            *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of             *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the              *
 *  GNU General Public License for more details.                               *
 *                                                                             *
 *  You should have received a copy of the GNU General Public License          *
 *  along with this program; if not, write to the Free Software                *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA  *
 *                                                                             *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */
#include "main.h"

int
main (int argc, char *argv[])
{
  GtkWidget *mainwin=NULL;
  GError* err = NULL;

	/* Initialize the i18n stuff */
  bindtextdomain (PACKAGE, PACKAGE_LOCALE_DIR);
  textdomain (PACKAGE);

  gnome_init ("gnome-clipboard-manager", VERSION, argc, argv);
  if (!gconf_init(argc, argv, &err)) {
      fprintf(stderr, _("Failed to init GConf: %s\n"), err->message);
      g_error_free(err); 
      err = NULL;
  }
  mainwin = mainwin_new(mainwin);
  GNOME_MAINWIN(mainwin)->argc = argc;
  GNOME_MAINWIN(mainwin)->argv = argv;

  app_get_new_item (GNOME_MAINWIN(mainwin), NULL);
  gtk_selection_owner_set (GTK_WIDGET(mainwin), GNOME_MAINWIN(mainwin)->selection, GDK_CURRENT_TIME);
  app_update_menus(GNOME_MAINWIN(mainwin));
  
  if (GNOME_MAINWIN(mainwin)->prefs->applet) {
      create_applet(GNOME_MAINWIN(mainwin));
  } else {
      gtk_widget_show(mainwin);
      gtk_main ();
  }
  
  return 0;
}

